[Tuto]Faire fonctionner une extension Firefox non compatible

Trouvez de l'aide grâce à des tutoriels en image. Plusieurs thématiques liées à l'informatique sont disponibles. Vous pouvez proposer vos tutoriels à la suite de ce message.
Verrouillé
Avatar du membre
Keroin
Administrateur
Administrateur
Messages : 1786
Enregistré le : lundi, 27 mars 2006, 16:06
Configuration informatique : -
Tour :
Boitier Corsair 570X Crystal
CPU Intel Core i9-9900K
WaterCooling - Corsair H100i RGB Platinium
32 Go Corsair Vengeance RGB PRO DDR4
Asus ROG Maximus X HERO
CG : MSI Armor OC GTX1070 8 GO
Corsair k95 rgb platinum mécanique + Logitech MX master Pro (souris)
3x Samsung Syncmaster P2450H Eyefinity + 1 Dell UltraSharp U2913WM
Alimentation Corsair HX1200i

Portable :
Lenovo Thinkpad Yoga X1
Intel I7 8550U
16 Go RAM
.
NAS Synology DS415+
Configuration téléphonie : - Samsung Galaxy Note 10+
- Samsung Galaxy Note 8
- Samsung Galaxy S7 Edge
- Samsung Galaxy Note 3
- Samsung Galaxy Note 2
- HTC Sensation Z710e
- HTC Leo Touch HD 2
- HTC Blackstone Touch HD
Localisation : On the web again...What else...
Contact :

[Tuto]Faire fonctionner une extension Firefox non compatible

Message par Keroin »

Faire fonctionner une extension Firefox non compatible avec votre version de Firefox

En ces temps de mise à jour de Firefox, la version 3.01 est disponible au téléchargement, on s'est tous au moins une fois trouvé confronté au problème suivant :
"Mon extension préférée ne fonctionne plus avec la nouvelle version...ouinnnn!!!"
Du coup je suis obligé d'attendre que le développeur de l'extension réagisse ce qui peut être long...

Voici une petite astuce qui ne fonctionne pas à tous les coups mais qui peut vous permettre de continuer à utiliser votre extension préférées, cela suppose qu'on se prenne un peut pour Mc Giver en allant bidouiller dans la programmation de l'extension.

En effet, chaque extension a dans sa programmation une indication indiquant la valeur maximale de version du navigateur supporté qu'il suffit souvent de changer.
NB : Attention quand même, si le développeur de l'extension affiche une valeur limite pour les versions du navigateur supporté ce n'est pas pour faire joli, ça signifie qu'il n'a pas testé l'extension avec une version supérieure de Firefox et que donc il ne garanti pas qu'il n'y aura pas de bug.


Voici donc l'extension qui me posait des soucis : Tab Mix Plus qui dans sa dernière version de dev fonctionnait très bien avec Firefox 3.
Pour les versions en développement de cette extension c'est ici que ça se passe
=> http://tmp.garyr.net/dev-builds/ (la dernière en bas correspond au dernier développement).

Depuis le passage à la 3.01 de Firefox cette nuit, cette extension ne répondait plus et comme je m'en sers tout le temps je trouvais ça embêtant et j'ai donc décidé de lui forcer un peu la mains.

Alors comment on fait?

Il faut tout d'abord télécharger la dernière version disponible de l'extension en faisant un clic droit => télécharger la cible du lien sous...=> Bureau ... car avec un clic gauche l'extension va tenter de s'installer sur Firefox.

Ensuite il faut "ouvrir" le contenu de l'extension avec un logiciel de décompression comme winrar par exemple, ci dessous moi j'utilise 7-zip (freeware).

Image

Ensuite il suffit d'ouvrir le fichier install.rdf avec un éditeur de texte (l'éditeur de texte de windows notepad ou un autre comme notepad ++ plus élaboré), on obtient ceci :

Image

La ligne qui nous intéresse dans ce fichier est celle que j'ai surligné et qui indique la version max supportée par l'extension.
On va passer cette version a une version supérieure (la 3.1 par exemple) et on enregistre le document.

Image

Il ne reste plus qu'à remettre le fichier install.rdf dans le fichier .xpi (on écrase l'ancien par le nouveau) et à installer...cool ça passe... :sm16: :sm16:

Image

Voilà l'extension fonctionne désormais normalement mais attention quand même car ça ne fonctionne pas à tous les coups ;-)

Vous pouvez commenter ou posez vos question sur ce tuto à la suite de ce message.
Pas de demande de support en MP ou par mail, le forum est là pour ça!
Règles du forum!
Pensez à personnaliser votre profil via le "panneau de l'utilisateur".

Verrouillé